import bcrypt from "bcrypt";
import envVars from "../config";
import Worker from "./models/Worker";

const createInitialWorkerIfNotExists = async () => {
  const numberOfWorkers = await Worker.count();

  if (numberOfWorkers === 0) {
    const initialCoordinatorPassword = envVars.INITIAL_COORDINATOR_PASSWORD;
    const initialCoordinatorEmail = envVars.INITIAL_COORDINATOR_EMAIL;

    const hashedPassword = await bcrypt.hash(initialCoordinatorPassword, 10);

    await Worker.create({
      email: initialCoordinatorEmail,
      password: hashedPassword,
      first_name: "coordinator_firstName",
      last_name: "coordinator_lastName",
      role: "coordinator",
    });
  }
};
export default createInitialWorkerIfNotExists;
